Index: translator/SynTree/FunctionDecl.cc
===================================================================
--- translator/SynTree/FunctionDecl.cc	(revision 51b734528489f81a5af985bfee9aa3b6625b9774)
+++ translator/SynTree/FunctionDecl.cc	(revision c11e31cbaeeeb0709ef952223453f301da13d515)
@@ -1,9 +1,2 @@
-/*
- * This file is part of the Cforall project
- *
- * $Id: FunctionDecl.cc,v 1.15 2005/08/29 20:59:25 rcbilson Exp $
- *
- */
-
 #include <cassert>
 
@@ -14,10 +7,8 @@
 
 
-FunctionDecl::FunctionDecl( const std::string &name, StorageClass sc, LinkageSpec::Type linkage, FunctionType *type,
-					    CompoundStmt *statements, bool isInline )
-    : Parent( name, sc, linkage ), type( type ), statements( statements ), isInline( isInline )
-{
-    // this is a pretty brazen hack to force the function "main" to have C linkage
-    if( name == "main" ) {
+FunctionDecl::FunctionDecl( const std::string &name, StorageClass sc, LinkageSpec::Type linkage, FunctionType *type, CompoundStmt *statements, bool isInline )
+	: Parent( name, sc, linkage ), type( type ), statements( statements ), isInline( isInline ) {
+    // this is a brazen hack to force the function "main" to have C linkage
+    if ( name == "main" ) {
 	set_linkage( LinkageSpec::C );
     }
@@ -25,52 +16,43 @@
 
 FunctionDecl::FunctionDecl( const FunctionDecl &other )
-    : Parent( other ), type( maybeClone( other.type ) ), statements( maybeClone( other.statements ) ),
-	isInline( other.isInline )
-{
+    : Parent( other ), type( maybeClone( other.type ) ), statements( maybeClone( other.statements ) ), isInline( other.isInline ) {
 }
 
-FunctionDecl::~FunctionDecl()
-{
+FunctionDecl::~FunctionDecl() {
     delete type;
     delete statements;
 }
 
-Type*
-FunctionDecl::get_type() const
-{
+Type * FunctionDecl::get_type() const {
     return type;
 }
 
-void 
-FunctionDecl::set_type(Type *t)
-{
+void FunctionDecl::set_type( Type *t ) {
     type = dynamic_cast< FunctionType* >( t );
     assert( type );
 }
 
-void
-FunctionDecl::print( std::ostream &os, int indent ) const
-{
+void FunctionDecl::print( std::ostream &os, int indent ) const {
     using std::endl;
     using std::string;
     
-    if( get_name() != "" ) {
+    if ( get_name() != "" ) {
 	os << get_name() << ": a ";
     }
-    if( get_linkage() != LinkageSpec::Cforall ) {
+    if ( get_linkage() != LinkageSpec::Cforall ) {
 	os << LinkageSpec::toString( get_linkage() ) << " ";
     }
-    if( isInline ) {
+    if ( isInline ) {
 	os << "inline ";
     }
-    if( get_storageClass() != NoStorageClass ) {
+    if ( get_storageClass() != NoStorageClass ) {
 	os << storageClassName[ get_storageClass() ] << ' ';
     }
-    if( get_type() ) {
+    if ( get_type() ) {
 	get_type()->print( os, indent );
     } else {
 	os << "untyped entity ";
     }
-    if( !oldIdents.empty() ) {
+    if ( ! oldIdents.empty() ) {
 	os << string( indent+2, ' ' ) << "with parameter names" << endl;
 	for( std::list< std::string >::const_iterator i = oldIdents.begin(); i != oldIdents.end(); ++i ) {
@@ -78,9 +60,9 @@
 	}
     }
-    if( !oldDecls.empty() ) {
+    if ( ! oldDecls.empty() ) {
 	os << string( indent+2, ' ' ) << "with parameter declarations" << endl;
 	printAll( oldDecls, os, indent+4 );
     }
-    if( statements ) {
+    if ( statements ) {
 	os << string( indent+2, ' ' ) << "with body " << endl;
 	statements->print( os, indent+4 );
@@ -88,20 +70,18 @@
 }
 
-void
-FunctionDecl::printShort( std::ostream &os, int indent ) const
-{
+void FunctionDecl::printShort( std::ostream &os, int indent ) const {
     using std::endl;
     using std::string;
     
-    if( get_name() != "" ) {
+    if ( get_name() != "" ) {
 	os << get_name() << ": a ";
     }
-    if( isInline ) {
+    if ( isInline ) {
 	os << "inline ";
     }
-    if( get_storageClass() != NoStorageClass ) {
+    if ( get_storageClass() != NoStorageClass ) {
 	os << storageClassName[ get_storageClass() ] << ' ';
     }
-    if( get_type() ) {
+    if ( get_type() ) {
 	get_type()->print( os, indent );
     } else {
@@ -109,3 +89,2 @@
     }
 }
-
